Skip to main content
PATCH
Update risk portal webhook

Authorizations

Authorization
string
header
required

Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.

Path Parameters

id
string
required

Webhook identifier

Body

application/json
name
string
url
string
enabled
boolean
notificationTypes
enum<string>[]

Notification types that trigger this webhook. Null/omitted means all types.

Available options:
NEW_CASE_ESCALATION,
NEW_CASE_AUTO_CONTAINED,
NEW_SECURITY_EVENT,
NEW_CRITICAL_DEFECT,
ACCOUNT_SUMMARY,
INTEGRATION_HEALTH,
ACCOUNT_BILLING

Response

id
string
required
teamId
string
required
name
string
required
url
string
required
enabled
boolean
required
createdAt
string
required
updatedAt
string
required
notificationTypes
enum<string>[] | null
Available options:
NEW_CASE_ESCALATION,
NEW_CASE_AUTO_CONTAINED,
NEW_SECURITY_EVENT,
NEW_CRITICAL_DEFECT,
ACCOUNT_SUMMARY,
INTEGRATION_HEALTH,
ACCOUNT_BILLING